# $Revision: 1.12 $, $Date: 2011/08/31 09:17:19 $
Summary:	PAM module for using cryptographic tokens
Summary(pl.UTF-8):	Moduł PAM umożliwiający używanie tokenów kryptograficznych
Name:		pam-pam_p11
Version:	0.1.5
Release:	4
License:	LGPL v2.1+
Group:		Libraries
Source0:	http://www.opensc-project.org/files/pam_p11/pam_p11-%{version}.tar.gz
# Source0-md5:	94684503b075eef02e03aafaff5d4a55
URL:		http://www.opensc-project.org/pam_p11/
BuildRequires:	libp11-devel
BuildRequires:	openssl-devel >= 0.9.7d
BuildRequires:	pam-devel
BuildRequires:	pkgconfig
Obsoletes:	pam-pam_opensc
Obsoletes:	pam_opensc
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%define		_libdir		/%{_lib}

%description
pam_p11 is a plugable authentication module (PAM) package for using
cryptographic tokens such as smart cards and USB crypto tokens for
authentication.

%description -l pl.UTF-8
pam_p11 to moduł uwierzytelniający (PAM) umożliwiający
uwierzytelnianie przy użyciu tokenów kryptograficznych, takich jak
karty procesorowe i tokeny kryptograficzne USB.

%prep
%setup -q -n pam_p11-%{version}

%build
%configure
%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

rm -f $RPM_BUILD_ROOT%{_libdir}/pam_p11/*.{la,a}

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc NEWS doc/{ChangeLog,*.html,*.css}
%attr(755,root,root) /%{_lib}/security/pam_p11_opensc.so
%attr(755,root,root) /%{_lib}/security/pam_p11_openssh.so

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: pam-pam_p11.spec,v $
Revision 1.12  2011/08/31 09:17:19  arekm
- release 4

Revision 1.11  2010/08/11 13:50:38  zbyniu
- rel 3

Revision 1.10  2010/04/12 19:28:37  arekm
- release 2

Revision 1.9  2008/11/17 18:53:06  qboosh
- updated to 0.1.5

Revision 1.8  2008/08/26 05:33:37  qboosh
- updated to 0.1.4

Revision 1.7  2007/08/12 00:19:53  qboosh
- updated to 0.1.3

Revision 1.6  2007/02/13 07:16:51  glen
- tabs in preamble

Revision 1.5  2007/02/12 00:49:18  baggins
- converted to UTF-8

Revision 1.4  2006/03/21 08:49:30  qboosh
- updated URLs

Revision 1.3  2006/01/09 09:28:04  qboosh
- updated Source0 URL

Revision 1.2  2005/11/07 14:17:32  qboosh
- BR openssl 0.9.7 (with pkgconfig support)

Revision 1.1  2005/11/07 13:49:11  qboosh
- new, pam_opensc replacement
